# DependentComponentsReport

API Documentation: | `DependentComponentsReport`

Note: This class is deprecated and will be removed in the next major version of Gradle.

Displays dependent components.

### Properties

Property | Description
`components` | The components to generate the report for. Defaults to all components of this project.
`showAll` | Should this include both non-buildable and test suites in the report?
`showNonBuildable` | Should this include non-buildable components in the report?
`showTestSuites` | Should this include test suites in the report?

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``List`<`String`>` `components`

The components to generate the report for. Defaults to all components of this project.

#### `boolean` `showAll`

Should this include both non-buildable and test suites in the report?

#### `boolean` `showNonBuildable`

Should this include non-buildable components in the report?

#### `boolean` `showTestSuites`

Should this include test suites in the report?